From 99c93d864c55faecfa4b1a3bbbc27dceb8a0aaca Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:18 +0000
Subject: [PATCH 447/2232] Add vector types to reserved names list


---

diff --git a/syntax/check.rs b/syntax/check.rs
index fd5ed67..4f52cb6 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -290,7 +290,12 @@ fn check_multiple_arg_lifetimes(cx: &mut Check, efn: &ExternFn) {
 }
 
 fn check_reserved_name(cx: &mut Check, ident: &Ident) {
-    if ident == "Box" || ident == "UniquePtr" || Atom::from(ident).is_some() {
+    if ident == "Box"
+        || ident == "UniquePtr"
+        || ident == "Vec"
+        || ident == "CxxVector"
+        || Atom::from(ident).is_some()
+    {
         cx.error(ident, "reserved name");
     }
 }

